[KB7622] Régebbi verziójú termékekkel kapcsolatos indulási problémák

Az alább felsorolt régi verziók kernelében hibajelenség tapasztalható, amely hatással van egy 2020. február 7-én lejárt tanúsítvány időbélyegének ellenőrzésére. Ennek hatására a kernel a régebbi verziókban található modulokat nem megbízhatónak nyilvánítja, így azok nem töltődnek be. Normál esetben ez a mechanizmus biztosítja, hogy egy nem megbízható könyvtár kerüljön betöltésre.

A folyamat eredményeként az érintett verziók nem töltik be a szükséges védelmi modulokat (tűzfal, HIPS, frissítési modul, eszközfelügyelet, web és e-mail védelem), így ezek a modulok működésképtelenné válnak és a védelem nem működik.

Az alábbi verziók érintettek

ESET Endpoint Antivirus és ESET Endpoint Security for Windows, 5.0.2126.0 és 5.0.2260.x közötti verziói

ESET Endpoint Antivirus, ESET Endpoint Security és ESET File Security Windows, 6.5.x

ESET Mail Security a Microsoft Exchange Server 6.5

ESET Security for Kerio 6.5

ESET Mail Security for Domino 6.5

ESET Security for Sharepoint Server 6.5

Érintett verziók:

Ez a hiba nem érinti az ESET Endpoint Antivirus / ESET Endpoint Security 5.0.2271.0-ás, valamint a 6.6.x és 7.x verziókat, valamint nem érinti az ESET File Security for Windows 7.1.12008-at.

Konkrét hibajelenségek

Az 5.0.2271.x-nél régebbi verziók esetében:

  • Az 5-ös verzióhoz tartozó védelmi modulok nem töltődnek be
  • A program kezdőképernyőjének kezelői felülete angol nyelven jelenik, az ESET Endpont Security logója helyett az ESET Smart Security 5 logója látható

A  6.5.x verziók esetében:

  • A termék azt jelzi, hogy az Adathalászat elleni védelem kikapcsolt állapotban van
  • A termék azt jelzi, hogy a program nincsen aktiválva
  • A termék további beállításain belül számos funkció hiányzik

Ha a termék az ESET Remote Administratorral vagy az ESET Security Management Centerrel van menedzselve, akkor bekerülnek a „Problémás Számítógépek” csoportba és riasztás lesz tapasztalható rajtuk, mivel nincsenek aktiválva, és az Adathalászat elleni védelem modulja sem működik.

Azokban az esetekben, amikor a könyvtárak betöltődtek, az Önvédelmi modul megvédi az ekrn folyamatot, ezért lehetetlenné teszi a védelmi alkalmazás eltávolítását.

 

Megoldás

Fontos!

Ha az érintett verziót használja, és nem tapasztalja a leírt problémákat, akkor ne indítsa újra a gépet, hanem azonnal végezzen verziófrissítést.

Ha a következő verziók egyikét használja, akkor egy Patch futtatásával a hiba orvosolható. Az ESET elkészített az érintett felhasználók számára egy bináris fájlt, amely alkalmazható az alább említett ESET Endpoint verziókhoz:

  • 6.5.2118
  • 6.5.2123
  • 6.5.2132

Az ESET File Security for Windows termék alábbi verzióihoz is alkalmazható az elkészített javítás:

  • 6.5.12017
  • 6.5.12018
  • 6.5.14026
  • 6.5.10057
  • 6.5.10059

 

A bináris fájl futtatható vagy letölthető a gépre vagy automatikusan végrehajtható a következő szkript segítségével:

 

powershell -command "& {(New-Object System.Net.WebClient).DownloadFile('http://help.eset.com/eset_tools/CertFix.exe', '%temp%\CertFix.exe');("Start-process %temp%\CertFix.exe")}"

 

vagy távoli menedzsment használata esetén kliens feladatként (Client Task) futtatható innen: ESMC → Operating system → Run command

Töltse le a CertFix.exe állományt vagy ha böngészője nem engedélyezi a futtatható fájlok letöltését, akkor töltse le a CertFix.rar tömörített állományt.

 

Ha az ESET Endpoint 6.5-ös verzióját használja és újraindította a számítógépet, akkor használja a bináris fájlt, és frissítse a legújabb verzióra, ha lehetséges.

Ha nem indította újra a számítógépet, várja meg a modulfrissítést, vagy használja a bináris fájlt, és futtassa azt távolról vagy lokálisan kézzel.

Ha az ESET Endpoint terméket Windows XP rendszeren használja, akkor futtassa a bináris fájlt.

Javasoljuk, hogy ha lehetséges, frissítse az 5-ös verziójú végpontjait a legújabb v5.0.2271.x verzióra, amelyet nem érint ez a hiba. Amennyiben ez nem lehetséges, azt javasoljuk, hogy távolítsa el az 5-ös verziót és telepítse az ESET Endpoint Antivirus / ESET Endpoint Security 7.2-es verzióját.

A 6.5 verziót használók számára javasoljuk, hogy frissítsenek valamelyikre a következő termékek közül:

  • ESET Endpoint Antivirus/ESET Endpoint Security 7.2
  • ESET File Security for Windows/ESET Mail Security for Microsoft Exchange Server/ESET Mail Security for Domino/ESET Security for Sharepoint Server 7.1.

Ami az ESET Security for Kerio 6.5 terméket illeti, igyekszünk a lehető leghamarabb kiadni hozzá is a javítást.

Ha Windows XP rendszert használ az EEA / EES 6.5.x verzióval, akkor javasoljuk, hogy térjen át az EEA / EES 5.0.2271-es korábbi verzióra.

Ha a gépe már érintett a problémában, és nem tudja eltávolítani és/vagy frissíteni az ESET termékeket vagy kérdése merülne fel, kérjük, lépjen kapcsolatba az ESET magyarországi terméktámogató csapatával, akik segítséget fognak nyújtani Önnek, és végigvezetik Önt a megoldás folyamatán.

További segítségnyújtás